See my post : Helical Gear tutorial?
I suggest to use the filament of Igus like iglidur i150 or i180. See https://www.igus.eu/info/3d-printing.
To be continued on:
I want to share this script by Seghier in this post:
I hope someone takes the effort to improve your script for gears with different number of teeth, and an option for external gear; a rack; and internal gear. My skills in Python are not so good.
Ian, did you mean âat the correct helix angleâ?
Oh, yes, sorry, that was a slip-up. Just to say though, I ended up confused about the geometry. Others with more ability than me (Iâm referring especially to the helical gear macro within the âGear Workbenchâ by âLoooâ in FreeCAD) produce a helical gear that does not agree with the olden days method above; but when Loooâs gear is compared to a commercially created 3D-model, such as by Rush Gears, theirs do agree. So I abandoned the paper strip method and myself just went and used the Gear Workbench within FreeCAD. Maybe one day, someone with the skills can import Loooâs open source macro into a Rhino version.
Iâve copied and pasted the code for Scripted gears from the Github link into a python 3.2 script and when run it reports: âImportError: No module named FreeCADâ. Where can I find the FreeCAD module? Thanks.
I thought Iâd found it but was mistaken. Still searching the web for clues on how to make this work on Win 10
Thanks.
Edit: I was trying to run just a piece of the gears script from PyScripter, an external Python IDE. On the FreeCAD forum I was finally given the entire script and told you have to run the script from inside FreeCAD in the Macro console. What an awesome tool!
The FreeCAD is standalone parametric CAD software.
Sorry, I entirely missed this post of yours. Apologies.
Anyhow, it seems you did eventually work it out â that the Gear Workbench module of FreeCAD, runs inside the FreeCAD 3D nurbs modelling app, a free download at https://www.freecadweb.org.
But for the benefit of others who may come across this thread, hereâs a note on usage. Once you have installed FreeCAD, you make helical gears by the following steps:
File>New
View>Workbench>Gear
Select on toolbar âcreate involute Gearâ
Where:
beta = helix angle
module = 1 / normal diametral pitch
Apologies for the tardy reply.
Hereâs the Python code for the macro you need to create in FreeCAD.
Be sure that you change the path to reflect your FreeCAD installationâŚ
begin copy code below
MODULE_PATH = âC:\Users\sauce\AppData\Local\FreeCAD 0.19\binâ # correct location?
DBG_LOAD = True
if not MODULE_PATH in sys.path:
if DBG_LOAD is True:
print(âno module pathâ)
sys.path.insert(-1,MODULE_PATH)
else:
if DBG_LOAD is True:
print(âmodule path is presentâ)
if DBG_LOAD is True:
print(sys.path)
import FreeCAD
import freecad.gears.commands
FreeCAD.newDocument(ânew_docâ)
gear = freecad.gears.commands.CreateInvoluteGear.create()
gear.teeth = 134
gear.beta = 15
gear.height = 10
gear.double_helix = False
FreeCAD.ActiveDocument.recompute()
FreeCADGui.SendMsgToActiveView(âViewFitâ)
end copy code above
Search the forum for help on using FreeCAD.
https://forum.freecadweb.org/
Arraypolar the negative object around the cylinder then Booleandifference those obects to cut them away.
Got lost from point 4 to point 6. Can you place a few images for expanding the info?
I eventually moved away from the method that I explained above in September 2020. As I noted in my post of November 2020 above, I later favoured use of the module called âGear Workbenchâ in FreeCAD, which provides a nice nurbs model. The reason I switched over is that the earlier method did not seem to be geometrically accurate.
This topic does seem to attract a fair bit of interest. It really needs someone with better math and scripting skills than mine to perhaps write a Rhino script. @Bas_Goris made one for Grasshopper, and I would leave it to him to vouch for the mathematical foundation of his approach and its accuracy. What I can say is that in the posts above, there are links to a good number of strong reference materials to look at.
One approach to creating a Rhino script, that would include a number of gear types, would be to begin with the âGear Workbenchâ script for FreeCAD written by âloooâ on Github (see my post of Nov 20 above for link).If someone were to replicate the FC Gear Workbench for the entire suite of gear types, as a Rhino script, note that for bevel gears there was a small shortcoming of Loosâs approach, a departure he made from standard bevel gear design technique, in that the pitch circle ought to be at the wide end of the gear â for the full explanation see the post, at FreeCAD forum â FC Gear Workbench bevel gear strange result â 28/Oct/2020